<?php

namespace HellixElementor\Modules\Button;

use HellixElementor\Base\Module_Base;
use HellixElementor\Modules\Button\Skins;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * The module class.
 */
class Module extends Module_Base {

	/**
	 * Instantiate the object.
	 */
	public function __construct() {
		parent::__construct();
		$this->add_actions();
	}

	/**
	 * Get the name of the module.
	 *
	 * @return string
	 */
	public function get_name() {
		return 'override-button';
	}

	/**
	 * Actions in this module.
	 */
	public function add_actions() {
		add_action( 'elementor/widget/button/skins_init', [ $this, 'init_skins' ], 10 );
	}

	/**
	 * Init skins for this module.
	 *
	 * @param Elementor\Widget_Accordion $widget The accordion widget.
	 */
	public function init_skins( $widget ) {
		$widget->add_skin( new Skins\Skin_Button_Hellix( $widget ) );
	}
}
