<?php
/**
 * Functions required in our theme.
 *
 * @package HellixExtensions
 */

if ( ! function_exists( 'hellix_widgets_register' ) ) {
	/**
	 * Register additional widgets used in our theme.
	 */
	function hellix_widgets_register() {

		if ( class_exists( 'Hellix' ) ) {
			include_once HELLIX_EXTENSIONS_DIR . '/includes/widgets/class-hellix-random-posts-widget.php';
			register_widget( 'Hellix_Random_Posts_Widget' );
		}
	}
}

add_action( 'widgets_init', 'hellix_widgets_register' );

if ( ! function_exists( 'hellix_cc_mime_types' ) ) {
	/**
	 * Enable JSON and SVG mime types.
	 *
	 * @param array $mimes mimes.
	 * @return array
	 */
	function hellix_cc_mime_types( $mimes ) {
		$mimes['json'] = 'application/json';
		$mimes['svg']  = 'image/svg+xml';
		return $mimes;
	}
}

add_filter( 'upload_mimes', 'hellix_cc_mime_types' );

add_filter( 'hellix_single_post_show_content_title', '__return_true' );

add_filter( 'hellix_load_min_css', '__return_true' );
add_filter( 'hellix_load_min_js', '__return_true' );
